package items;

import gamelib.Actor;
import org.newdawn.slick.Animation;

/**
*
* @author saren
*/
public abstract class Item implements Actor{

	private float x, y;
	private Animation currentAnimation;
	
    @Override
	public float getX() {
		return x;
	}
	
    @Override
	public float getY() {
		return y;
	}
	
    @Override
	public void setX(float x) {
		this.x = x;
	}
	
    @Override
	public void setY(float y) {
		this.y = y;
	}
	
    @Override
	public Animation getCurrentAnimation() {
		return currentAnimation;
	}
	
	public void setCurrentAnimation(Animation currentAnimation) {
		this.currentAnimation = currentAnimation;
	}
	
}
